This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
PPPort_pm.PL: Add an item for unknown min supported version
authorKarl Williamson <khw@cpan.org>
Thu, 8 Aug 2019 19:51:33 +0000 (13:51 -0600)
committerNicolas R <atoomic@cpan.org>
Fri, 27 Sep 2019 22:51:27 +0000 (16:51 -0600)
commit16d375147da697d21da031d809ae31f20380e32e
treeda167c33fc22fc3841d56d1f77bf8ed490e19dfa
parentc34b48497e5d5a160eeabc923d5313d2be10ecd8
PPPort_pm.PL: Add an item for unknown min supported version

The pod for this has sections of what elements are first supported when.
Unfortunately there are some that we do not have that information.

The cure for this is for someone to contribute pod for that element to
the perl core, but in the meantime, this lists those we couldn't figure
out.

It uses ppport.fnc to figure out many of the ones it otherwise couldn't.
And it is possible to enhance this to figure out more.  But just
documenting them removes them from the list.  And they should be
documented anyway.

(cherry picked from commit 5b548c97ec59bfb65f3caefea9fcf50cf8cd6d49)
Signed-off-by: Nicolas R <atoomic@cpan.org>
dist/Devel-PPPort/PPPort_pm.PL
dist/Devel-PPPort/parts/apicheck.pl